subroutine trmpi_get_codeID(codeID)

  use trmpi
  implicit NONE

  ! return codeID (or name) of code that initialized trmpi module
  ! if it has not been initialized, the string "?" is returned.

  character*(*), intent(out) :: codeID

  !---------------------

  call trmpi_check('trmpi_get_codeID')

  codeID = trmpi_codeID

end subroutine trmpi_get_codeID

